org.eclipse.viatra.cep.core.metamodels.events

## Interface AtomicEventPattern

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, EventPattern, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ADD_MANY_Pattern, ADD_Pattern, AtomicEventPatternImpl, MOVE_Pattern, REMOVE_MANY_Pattern, REMOVE_Pattern, RESOLVE_Pattern, SET_Pattern, UNSET_Pattern

      public interface AtomicEventPattern
      extends EventPattern

  A representation of the model object 'Atomic Event Pattern'.

  The following features are supported:

  - `Type`
  See Also:
    `EventsPackage.getAtomicEventPattern()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getType()` Returns the value of the 'Type' attribute.
    `void` | `setType(java.lang.String value)` Sets the value of the '`Type`' attribute.

    - ### Methods inherited from interface org.eclipse.viatra.cep.core.metamodels.events.EventPattern

      `getAutomaton, getEventModel, getId, getParameterNames, setAutomaton, setEventModel, setId`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the value of the 'Type' attribute.

      If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Type' attribute.
      See Also:
        `setType(String)`, `EventsPackage.getAtomicEventPattern_Type()`
      Generated:
      Model:

    - #### setType

          void setType(java.lang.String value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `getType()`
      Generated: